% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dplyr.R
\name{filter.decorated}
\alias{filter.decorated}
\title{Filter Decorated}
\usage{
\method{filter}{decorated}(.data, ..., .preserve = FALSE)
}
\arguments{
\item{.data}{A tbl. All main verbs are S3 generics and provide methods
for \code{\link[=tbl_df]{tbl_df()}}, \code{\link[dtplyr:tbl_dt]{dtplyr::tbl_dt()}} and \code{\link[dbplyr:tbl_dbi]{dbplyr::tbl_dbi()}}.}

\item{...}{Logical predicates defined in terms of the variables in \code{.data}.
Multiple conditions are combined with \code{&}. Only rows where the
condition evaluates to \code{TRUE} are kept.

The arguments in \code{...} are automatically \link[rlang:quo]{quoted} and
\link[rlang:eval_tidy]{evaluated} in the context of the data
frame. They support \link[rlang:quasiquotation]{unquoting} and
splicing. See \code{vignette("programming")} for an introduction to
these concepts.}

\item{.preserve}{when \code{FALSE} (the default), the grouping structure
is recalculated based on the resulting data, otherwise it is kept as is.}
}
\description{
Preserves class when filtering decorated.
}
\seealso{
Other dplyr: \code{\link{anti_join.decorated}},
  \code{\link{arrange.decorated}},
  \code{\link{as_decorated}},
  \code{\link{full_join.decorated}},
  \code{\link{group_by.decorated}},
  \code{\link{inner_join.decorated}},
  \code{\link{left_join.decorated}},
  \code{\link{mutate.decorated}},
  \code{\link{right_join.decorated}},
  \code{\link{select.decorated}},
  \code{\link{semi_join.decorated}},
  \code{\link{slice.decorated}},
  \code{\link{summarise.decorated}},
  \code{\link{summarize.decorated}}
}
\concept{dplyr}
\keyword{internal}
