% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dplyr.R
\name{right_join.decorated}
\alias{right_join.decorated}
\title{Right_join Decorated}
\usage{
\method{right_join}{decorated}(x, y, by = NULL, copy = FALSE,
  suffix = c(".x", ".y"), ...)
}
\arguments{
\item{x}{tbls to join}

\item{y}{tbls to join}

\item{by}{a character vector of variables to join by.  If \code{NULL}, the
default, \code{*_join()} will do a natural join, using all variables with
common names across the two tables. A message lists the variables so
that you can check they're right (to suppress the message, simply
explicitly list the variables that you want to join).

To join by different variables on x and y use a named vector.
For example, \code{by = c("a" = "b")} will match \code{x.a} to
\code{y.b}.}

\item{copy}{If \code{x} and \code{y} are not from the same data source,
and \code{copy} is \code{TRUE}, then \code{y} will be copied into the
same src as \code{x}.  This allows you to join tables across srcs, but
it is a potentially expensive operation so you must opt into it.}

\item{suffix}{If there are non-joined duplicate variables in \code{x} and
\code{y}, these suffixes will be added to the output to disambiguate them.
Should be a character vector of length 2.}

\item{...}{other parameters passed onto methods, for instance, \code{na_matches}
to control how \code{NA} values are matched.  See \link{join.tbl_df} for more.}
}
\description{
Preserves class when joining decorated.
}
\seealso{
Other dplyr: \code{\link{anti_join.decorated}},
  \code{\link{arrange.decorated}},
  \code{\link{as_decorated}},
  \code{\link{filter.decorated}},
  \code{\link{full_join.decorated}},
  \code{\link{group_by.decorated}},
  \code{\link{inner_join.decorated}},
  \code{\link{left_join.decorated}},
  \code{\link{mutate.decorated}},
  \code{\link{select.decorated}},
  \code{\link{semi_join.decorated}},
  \code{\link{slice.decorated}},
  \code{\link{summarise.decorated}},
  \code{\link{summarize.decorated}}
}
\concept{dplyr}
\keyword{internal}
