% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dplyr.R
\name{summarize.decorated}
\alias{summarize.decorated}
\title{Summarize Decorated}
\usage{
\method{summarize}{decorated}(.data, ...)
}
\arguments{
\item{.data}{A tbl. All main verbs are S3 generics and provide methods
for \code{\link[=tbl_df]{tbl_df()}}, \code{\link[dtplyr:tbl_dt]{dtplyr::tbl_dt()}} and \code{\link[dbplyr:tbl_dbi]{dbplyr::tbl_dbi()}}.}

\item{...}{Name-value pairs of summary functions. The name will be the
name of the variable in the result. The value should be an expression
that returns a single value like \code{min(x)}, \code{n()}, or \code{sum(is.na(y))}.

The arguments in \code{...} are automatically \link[rlang:quo]{quoted} and
\link[rlang:eval_tidy]{evaluated} in the context of the data
frame. They support \link[rlang:quasiquotation]{unquoting} and
splicing. See \code{vignette("programming")} for an introduction to
these concepts.}
}
\description{
Preserves class when summarizing decorated.
}
\seealso{
Other dplyr: \code{\link{anti_join.decorated}},
  \code{\link{arrange.decorated}},
  \code{\link{as_decorated}},
  \code{\link{filter.decorated}},
  \code{\link{full_join.decorated}},
  \code{\link{group_by.decorated}},
  \code{\link{inner_join.decorated}},
  \code{\link{left_join.decorated}},
  \code{\link{mutate.decorated}},
  \code{\link{right_join.decorated}},
  \code{\link{select.decorated}},
  \code{\link{semi_join.decorated}},
  \code{\link{slice.decorated}},
  \code{\link{summarise.decorated}}
}
\concept{dplyr}
\keyword{internal}
